.\"	$NetBSD: dcl.4,v 1.11 2003/11/15 21:45:52 mbw Exp $
.\"
.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dcl.4	8.1 (Berkeley) 6/9/93
.\"
.Dd November 15, 2003
.Dt DCL 4 hp300
.Os
.Sh NAME
.Nm dcl
.Nd
.Tn HP
98628A serial communications link
.Sh SYNOPSIS
.Cd "dcl0 at dio? scode ? flags 0x1"
.Sh DESCRIPTION
The 98628A is a buffered
.Tn EIA
.Tn RS-232C
.Pf ( Tn CCITT
.Tn V.28 )
communications interface.
It has one port with full modem control.
.Pp
Input and output for each line may set to one of following baud rates;
0, 50, 75, 110, 134.5, 150, 200, 300, 600, 1200, 1800, 2400, 4800,
9600, 19200.
.Pp
An optional argument
.Ar flags
may be set to 1 if the line should be treated as hard-wired with
carrier always present, or to 0 if modem control is desired.
.Pp
Use
.Tn HP
cable "98626 \*[Am] 98628 opts.002,
.Tn RS232-C
.Tn DCE CABLE ,
5061-4216" to attach non-modem devices.
Use
.Tn HP
cable "98626 \*[Am] 98628 opts.001,
.Tn RS232-C
.Tn DTE CABLE ,
5061-4215" to attach modems.
.Pp
The 98628A has a 256 byte input silo and a 256 output silo. Input interrupts
happen on a per character basis.
.Pp
The high water and low water marks in the kernel tty routines are completely
inappropriate for a device like this with a large input buffer.  Don't use
tandem mode if possible.  A fast system can handle input at 19.2K baud without
receive overflow.
.Pp
For output to devices that make heavy use of
.Tn XON/XOFF
a write size of less
than 256 will improve performance marginally.
.Sh FILES
.Bl -tag -width /dev/ttyl[0-9] -compact
.It Pa /dev/ttyl[0-9]
.El
.Sh DIAGNOSTICS
.Bl -diag
.It dcl%d: error 0x%x RESET CARD.
Where the errors are encoded:
.Bd -unfilled -offset indent
0x06 card failure
0x0d uart receive overflow
0x0e receive overflow
0x0f missing external clock
0x10 cts false too long
0x11 lost carrier
0x12 activity timeout
0x13 connection not established
0x19 illegal databits/parity
0x1a register address out of range
0x1b register value out of range
0x-- unknown error
.Ed
.El
.Sh SEE ALSO
.Xr tty 4
.Sh BUGS
The
.Nm
device is not actually supported in
.Nx .
This man page is only for information purposes in case someone wishes
to port the driver from 4.3BSD.
.Pp
Breaks received at a faster rate than 1 break every second will be
recognized as a single break.
.Pp
Console use is not supported.
.Pp
The
.Tn RS-422/423/499 ,
.Tn MTS-DSN/DL
modes of the card are not supported.
